'''
Реализовать два небольших скрипта:
а) итератор, генерирующий целые числа, начиная с указанного,
б) итератор, повторяющий элементы некоторого списка, определенного заранее.

Подсказка: использовать функцию count() и cycle() модуля itertools.
Обратите внимание, что создаваемый цикл не должен быть бесконечным.
Необходимо предусмотреть условие его завершения.

Например, в первом задании выводим целые числа, начиная с 3, а при достижении числа 10 завершаем цикл.
Во втором также необходимо предусмотреть условие, при котором повторение элементов списка будет прекращено.
'''

from itertools import count, cycle

print("Executing task 1 code:")
for i in count(int(input("Enter unsigned digit(1..20): "))):
    print(i)
    if i == 20:
        break

my_list = [1, 'Word', 'SomeWord', '5', 2, 3, 9, 6]
print("\nExecuting task 2 code:")
for idx, el in enumerate(cycle(my_list)):
    print(idx, el)
    if idx >= 10:
        break

